## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-os-config
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.16.0
Release:        %autorelease
Summary:        Python Client for Google Cloud OS Config API

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py 

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup_keywords.py


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md


%changelog
* Wed Dec 13 2023 Major Hayden <major@redhat.com> - 1.16.0-2
- Skip import check, remove nspkg file

* Thu Dec 07 2023 Packit <hello@packit.dev> - 1.16.0-1
- [packit] 1.16.0 upstream release
- Resolves rhbz#2253549

* Wed Dec 06 2023 Nikola Forró <nforro@redhat.com> - 1.15.3-2
- Do not sync release candidate versions

* Tue Oct 03 2023 Major Hayden <major@redhat.com> - 1.15.3-1
- Update to 1.15.3

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.15.2-1
- Update to 1.15.2 rhbz#2219861

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.15.1-2
- Rebuilt for Python 3.12

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 1.15.1-1
- Update to 1.15.1 rhbz#2182103

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 1.15.0-1
- Update to 1.15.0 rhbz#2173115

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.14.1-1
- Update to 1.14.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Major Hayden <major@redhat.com> - 1.12.4-1
- Update to 1.12.4 rhbz#2131860

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 1.12.2-1
- Update to 1.12.2 rhbz#2118331

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 fkolwa <fkolwa@redhat.com> - 1.12.1-1
- Update to 1.12.1 rhbz#2106917

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.11.2-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.11.2-1
- Update to 1.11.2

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 1.11.1-1
- Update to 1.11.1

* Tue Mar 01 2022 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0

* Mon Feb 28 2022 Major Hayden <major@redhat.com> - 1.10.0-1
- Update to 1.10.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 12 2021 Major Hayden <major@redhat.com> - 1.9.0-1
- Update to 1.9.0

* Thu Nov 04 2021 Major Hayden <major@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Tue Nov 02 2021 Major Hayden <major@redhat.com> - 1.7.1-1
- Update to 1.7.1

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> - 1.7.0-1
- Update to 1.7.0

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> - 1.6.0-1
- Update to 1.6.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 1.5.2-1
- Initial commit (#1998341)
